Subject: bug#31905: Re: detection of edge of highlighted text by mouse-drag-and-drop-region

From: Tak Kunihiro <[email-masked]>
Date: Thu, 21 Jun 2018 08:17:54 +0900 (JST)

tags 31905 fixed
close 31905 26.2
quit

From: martin rudalics <[email-masked]>
Subject: Re: detection of edge of highlighted text by mouse-drag-and-drop-region
Date: Wed, 20 Jun 2018 09:42:47 +0200

>> I found bug on `mouse-drag-and-drop-region'.  The
>> `mouse-drag-and-drop-region' does not recognize the beginning and the
>> end of highlighted text as pre existing region.
>>
>> 1: emacs -Q
>> 2: (setq mouse-drag-and-drop-region 'meta)
>> 2: Select text on a buffer and have a region. Let's assume `This
>> buffer' is highlighted.
>> 3: Drag and drop the text onto the first character of the region, that
>> is `T'.
>> 4: Then the text `This buffer' would be disappeared.
> 
> Indeed.
> 
>> I attach a patch to fix the bug.  This patch is relative to 26.1.50.
> 
> I verified that it corrects the behavior and applied it to the release
> branch.  Please countercheck and close the bug if everything is right.
> 
> Thank you, martin